[rspec-devel] ruby 1.9

Dan North tastapod at gmail.com
Thu Jan 31 16:31:18 EST 2008

Hi David.

Is your vision to support both 1.8 and 1.9 in rspec 1.x*, or have a 2.x that
supports Ruby 1.9 and continue with 1.x supporting Ruby 1.8?


* Is that even possible? I must admit I haven't looked at 1.9 enough to

On 30/01/2008, David Chelimsky <dchelimsky at gmail.com> wrote:
> Hey all,
> I'd like to move towards Ruby-1.9 compatibility. In
> http://rspec.lighthouseapp.com/projects/5645/tickets/221, Igal
> Koshevoy has offered to help but notes that there are a few known bugs
> in 1.9 that create challenges for us, and for which he can provide
> workarounds.
> I've proposed a way to address that in the ticket and I'd like your
> feedback - but I'd prefer to keep the feedback in one place - that
> ticket. Please take a peek and add your comments if you have any.
> Thanks,
> David
> _______________________________________________
> rspec-devel mailing list
> rspec-devel at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-devel
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/rspec-devel/attachments/20080131/1d327b1c/attachment.html 

More information about the rspec-devel mailing list